Skip to main content
PATCH
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
/
child_chunks
/
{child_chunk_id}
Update Child Chunk
curl --request PATCH \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id}/child_chunks/{child_chunk_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
import requests

url = "https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id}/child_chunks/{child_chunk_id}"

payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};

fetch('https://{api_base_url}/datasets/{dataset_id}/documents/{document_id}/segments/{segment_id}/child_chunks/{child_chunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "d7e8f9a0-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "segment_id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
    "content": "Dify is an open-source platform.",
    "position": 1,
    "word_count": 6,
    "type": "customized",
    "created_at": 1741267200,
    "updated_at": 1741267200
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

segment_id
string<uuid>
required

Chunk ID.

child_chunk_id
string<uuid>
required

Child chunk ID.

Body

application/json
content
string
required

Child chunk text content.

Response

Child chunk updated successfully.

data
object
Last modified on July 9, 2026